/*
This is an Ozeki Relay Module example code.
It opens the relay when receiving an 'o' character
and closes the relay when receiving a 'c' character.
A LED also indicates the relay status on the Ozeki Relay Module.
The LED and the relay are both connected to the D4 pin.
*/

int RELAY_pin = 4; //D4 is the relay PIN
char inChar;
 
void setup() {
  Serial.begin(115200);
  pinMode(RELAY_pin, OUTPUT);
  Serial.println("Send 'o' to open or 'c' to close relay.");
}
 
void loop() {
  if(Serial.available()) {
    char inChar = (char)Serial.read();
      if (inChar == 'o'){
          Serial.println("opened");
          digitalWrite(RELAY_pin, LOW);
      }
      else if (inChar == 'c'){
          Serial.println("closed");
          digitalWrite(RELAY_pin, HIGH);
          }
  }
}
